# [THESAURUS SYNONYMS F DATA](https://github.com/FlatEarthTruther/thesaurus-synonyms-f-data)

Data scraped with spiders from [thesaurus.com](http://www.thesaurus.com) on 2018-03
[![NPM version](https://img.shields.io/npm/v/thesaurus-synonyms-f-data.svg)](https://www.npmjs.com/package/thesaurus-synonyms-f-data)
[![Build Status](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-f-data.svg?branch=master)](https://travis-ci.org/FlatEarthTruther/thesaurus-synonyms-f-data)

[This package/repo is a dependency of thesaurus-synonyms-data](https://github.com/FlatEarthTruther/thesaurus-synonyms-data)
 
## RELATED PROJECTS

[DICTIONARY DEFINITIONS DATA](https://github.com/FlatEarthTruther/dictionary-definitions-data)
 
#### STATS

    $ wc -l f.json
    9029 f.json
  
    $ du -sh a.js*
    187M	f.json
     15M	f.json.zip

## INSTALL [PACKAGE](https://www.npmjs.com/package/thesaurus-synonyms-f-data) 📦

    npm i -S thesaurus-synonyms-f-data
    
## USAGE

Zip files containing the data get uncompressed during postinstall.    

#### LOAD SYNC
```javascript
require('thesaurus-synonyms-f-data').loadSync()
```

    [ { key: 'fagging out',
        datetime: '2018-03-27 03:38:04',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fagging%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fagged out',
        datetime: '2018-03-27 03:38:08',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fagged%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fag out',
        datetime: '2018-03-27 03:38:14',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fag%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fag ends',
        datetime: '2018-03-27 03:38:15',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fag%20ends/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fag end',
        datetime: '2018-03-27 03:38:15',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fag%20end/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'faeries',
        datetime: '2018-03-27 03:38:19',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faeries/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'faerie',
        datetime: '2018-03-27 03:38:19',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0011400.ogg',
           'http://static.sfdict.com/audio/F00/F0011400.mp3' ],
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faerie/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fading out',
        datetime: '2018-03-27 03:38:22',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fading%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fading aways',
        datetime: '2018-03-27 03:38:22',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fading%20aways/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fades out',
        datetime: '2018-03-27 03:38:28',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fades%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fadeouts',
        datetime: '2018-03-27 03:38:32',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fadeouts/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fag',
        datetime: '2018-03-27 03:38:16',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0012100.ogg',
           'http://static.sfdict.com/audio/F00/F0012100.mp3' ],
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fag/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'fagging',
        datetime: '2018-03-27 03:38:05',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fagging/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' },
      { key: 'failing flaw',
        datetime: '2018-03-27 03:38:42',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/failing%20flaw/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'failing exploit',
        datetime: '2018-03-27 03:38:42',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/failing%20exploit/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'failed to remember',
        datetime: '2018-03-27 03:38:43',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/failed%20to%20remember/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'failed to recollect',
        datetime: '2018-03-27 03:38:43',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/failed%20to%20recollect/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'failed to recall',
        datetime: '2018-03-27 03:38:43',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/failed%20to%20recall/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'failed to notice',
        datetime: '2018-03-27 03:38:43',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/failed%20to%20notice/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faint breeze',
        datetime: '2018-03-27 03:38:43',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faint%20breeze/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faineancy',
        datetime: '2018-03-27 03:38:44',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faineancy/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faineancies',
        datetime: '2018-03-27 03:38:45',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faineancies/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faineances',
        datetime: '2018-03-27 03:38:46',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faineances/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faineance',
        datetime: '2018-03-27 03:38:47',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faineance/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fain',
        datetime: '2018-03-27 03:38:48',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0014700.ogg',
           'http://static.sfdict.com/audio/F00/F0014700.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fain/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fair play',
        datetime: '2018-03-27 03:38:49',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fair%20play/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fair hirings',
        datetime: '2018-03-27 03:38:55',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fair%20hirings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fair hiring practices',
        datetime: '2018-03-27 03:38:55',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fair%20hiring%20practices/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fair hiring practice',
        datetime: '2018-03-27 03:38:55',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fair%20hiring%20practice/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fair hiring',
        datetime: '2018-03-27 03:38:55',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fair%20hiring/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairier',
        datetime: '2018-03-27 03:38:56',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairier/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairhaireds',
        datetime: '2018-03-27 03:38:57',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairhaireds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairhaired one',
        datetime: '2018-03-27 03:38:57',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairhaired%20one/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairhaired boys',
        datetime: '2018-03-27 03:38:57',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairhaired%20boys/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairhaired boy',
        datetime: '2018-03-27 03:38:58',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairhaired%20boy/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairgrounds',
        datetime: '2018-03-27 03:38:59',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairgrounds/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairground',
        datetime: '2018-03-27 03:38:59',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0016500.ogg',
           'http://static.sfdict.com/audio/F00/F0016500.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairground/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faith oneself',
        datetime: '2018-03-27 03:39:01',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faith%20oneself/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faith in oneself',
        datetime: '2018-03-27 03:39:01',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faith%20in%20oneself/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faith healings',
        datetime: '2018-03-27 03:39:01',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faith%20healings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faith healing',
        datetime: '2018-03-27 03:39:01',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faith%20healing/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'falchions',
        datetime: '2018-03-27 03:39:01',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falchions/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'falchion',
        datetime: '2018-03-27 03:39:01',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0021500.ogg',
           'http://static.sfdict.com/audio/F00/F0021500.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falchion/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'falcate',
        datetime: '2018-03-27 03:39:02',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0021400.ogg',
           'http://static.sfdict.com/audio/F00/F0021400.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falcate/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fakirs',
        datetime: '2018-03-27 03:39:02',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fakirs/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fakir',
        datetime: '2018-03-27 03:39:02',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0020500.ogg',
           'http://static.sfdict.com/audio/F00/F0020500.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fakir/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fakings',
        datetime: '2018-03-27 03:39:02',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fakings/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faking one out',
        datetime: '2018-03-27 03:39:06',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faking%20one%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall drops',
        datetime: '2018-03-27 03:39:06',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20drops/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall down on',
        datetime: '2018-03-27 03:39:06',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20down%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall dead',
        datetime: '2018-03-27 03:39:08',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20dead/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall cards',
        datetime: '2018-03-27 03:39:08',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20cards/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall card',
        datetime: '2018-03-27 03:39:09',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20card/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall by',
        datetime: '2018-03-27 03:39:09',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20by/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall bits',
        datetime: '2018-03-27 03:39:09',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20bits/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall behind',
        datetime: '2018-03-27 03:39:09',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20behind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall back on',
        datetime: '2018-03-27 03:39:10',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20back%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fair middling',
        datetime: '2018-03-27 03:38:54',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fair%20middling/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fair minded',
        datetime: '2018-03-27 03:38:52',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fair%20minded/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fair mindedness',
        datetime: '2018-03-27 03:38:50',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fair%20mindedness/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall away from',
        datetime: '2018-03-27 03:39:11',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20away%20from/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall at feet',
        datetime: '2018-03-27 03:39:13',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20at%20feet/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall asleep',
        datetime: '2018-03-27 03:39:13',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20asleep/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairies',
        datetime: '2018-03-27 03:38:56',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairies/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall apart',
        datetime: '2018-03-27 03:39:14',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20apart/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'falderal',
        datetime: '2018-03-27 03:39:16',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0022600.ogg',
           'http://static.sfdict.com/audio/F00/F0022600.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falderal/1',
        data: { synonyms: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'falconry',
        datetime: '2018-03-27 03:39:16',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0022400.ogg',
           'http://static.sfdict.com/audio/F00/F0022400.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falconry/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'falconries',
        datetime: '2018-03-27 03:39:16',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falconries/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'falconers',
        datetime: '2018-03-27 03:39:16',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falconers/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fairhaired',
        datetime: '2018-03-27 03:38:58',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fairhaired/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'falconer',
        datetime: '2018-03-27 03:39:17',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0022000.ogg',
           'http://static.sfdict.com/audio/F00/F0022000.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falconer/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fakery',
        datetime: '2018-03-27 03:39:23',
        audio_urls:
         [ 'http://static.sfdict.com/audio/lunawav/F00/F0020400.ogg',
           'http://static.sfdict.com/audio/F00/F0020400.mp3' ],
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fakery/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall down',
        datetime: '2018-03-27 03:39:07',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20down/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall farther behind',
        datetime: '2018-03-27 03:39:24',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20farther%20behind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'faking out',
        datetime: '2018-03-27 03:39:03',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faking%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fakeries',
        datetime: '2018-03-27 03:39:25',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fakeries/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fakedout',
        datetime: '2018-03-27 03:39:26',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fakedout/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'faked-out',
        datetime: '2018-03-27 03:39:26',
        page_number: 2,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/faked-out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/2' },
      { key: 'fall of cards',
        datetime: '2018-03-27 03:39:30',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20of%20cards/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall of card',
        datetime: '2018-03-27 03:39:31',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20of%20card/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall man',
        datetime: '2018-03-27 03:39:31',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20man/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall love with',
        datetime: '2018-03-27 03:39:31',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20love%20with/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall lot',
        datetime: '2018-03-27 03:39:31',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20lot/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall line',
        datetime: '2018-03-27 03:39:31',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20line/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall knees',
        datetime: '2018-03-27 03:39:31',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20knees/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall into place',
        datetime: '2018-03-27 03:39:32',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20into%20place/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall into',
        datetime: '2018-03-27 03:39:32',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20into/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall in to place',
        datetime: '2018-03-27 03:39:34',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20in%20to%20place/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall in to',
        datetime: '2018-03-27 03:39:34',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20in%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall in love with',
        datetime: '2018-03-27 03:39:35',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20in%20love%20with/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall in line',
        datetime: '2018-03-27 03:39:35',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20in%20line/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall-guy',
        datetime: '2018-03-27 03:39:35',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall-guy/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall wagon',
        datetime: '2018-03-27 03:39:38',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20wagon/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall victim to',
        datetime: '2018-03-27 03:39:38',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20victim%20to/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall upons',
        datetime: '2018-03-27 03:39:38',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20upons/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'fall to the lot',
        datetime: '2018-03-27 03:39:41',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fall%20to%20the%20lot/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'falling farther behind',
        datetime: '2018-03-27 03:39:41',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falling%20farther%20behind/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'falling drops',
        datetime: '2018-03-27 03:39:41',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falling%20drops/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'falling down on',
        datetime: '2018-03-27 03:39:41',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falling%20down%20on/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      { key: 'falling on one knees',
        datetime: '2018-03-27 03:39:43',
        page_number: 3,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/falling%20on%20one%20knees/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/3' },
      ... 8929 more items ]
    
#### LOAD ASYNC
```javascript
require('thesaurus-synonyms-f-data').load(function(err, data) {
    if (err) throw err;
    console.log(data[1].key)
});
```

    'fagged out'


#### FIND SYNC EXAMPLE
```javascript
var _ = require('lodash');
var data = require('thesaurus-synonyms-f-data').loadSync();

function findSync(word) {
  return _.find(data, function(o) {
    return o.key === word.toLowerCase();
  } );
}
findSync('fagged out');
```

    { key: 'fagged out',
        datetime: '2018-03-27 03:38:08',
        page_number: 1,
        letter: 'f',
        word_url: 'http://www.thesaurus.com/browse/fagged%20out/1',
        data:
         { synonyms: [Array],
           citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           antonyms: [Array],
           related: [Array] },
        page_url: 'http://www.thesaurus.com/list/f/1' }

#### FIND ASYNC EXAMPLE
```javascript
var _ = require('lodash');
var load = require('thesaurus-synonyms-f-data').load;

function find(word, callback) {
  load(function(err, data) {
    if (err) callback(err);
    var result = _.find(data, function(o) {
      return o.key === word.toLowerCase();
    } );
    callback(null, result);
  });
}
find('fagged out', function(err, data) {
    if (err) throw err;
    console.log(data.data);
});   
```

    { synonyms:
       [ { txt: 'adj', words: [Array], ttl: 'tired' },
         { txt: 'verb', words: [Array], ttl: 'dwindle, die out' },
         { txt: 'verb',
           words: [Array],
           ttl: 'droop; become dull, listless' } ],
      citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
      antonyms:
       [ { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] },
         { citation: 'Roget\'s 21st Century Thesaurus, Third Edition Copyright © 2013 by the Philip Lief Group.',
           words: [Array] } ],
      related:
       [ { url: 'http://www.thesaurus.com/browse/fatigued',
           text: 'fatigued',
           words: [Array],
           def: 'adj. tired' },
         { url: 'http://www.thesaurus.com/browse/fade',
           text: 'fade',
           words: [Array],
           def: 'verb. dwindle, die out' },
         { url: 'http://www.thesaurus.com/browse/languish',
           text: 'languish',
           words: [Array],
           def: 'verb. droop; become dull, listless' } ] }

#### JSONLINES FORMAT

Look at [test.js](test.js) to find out more about the object structure.

    "letter" - str - word begins with this letter
    "word_url" or "url" - str - word thesaurus.com url
    "datetime" - str - datetime when data was downloaded
    "page_number" - str - the pagenumber the word was found on
    "page_url" - str - page url to word on thesaurus.com
    "key" - str - word key
    "data" - obj
        "synonyms" - arr
            "txt" - str
            "words" - arr
                "category" - int
                "url" - str
                "text" - str
                "length" - int
                "complexity" - int
                "id" - int
            "ttl" - str
        "citation" - str
        "related" - arr
            "url" - str
            "text" - str
            "words" - arr
                "url" - str
                "word" - str
            "def" - str

#### SAMPLE WORD - fact finder

```json
{
  "key": "fact finder",
  "datetime": "2018-03-28 08:35:44",
  "page_number": 1,
  "letter": "f",
  "word_url": "http://www.thesaurus.com/browse/fact%20finder/1",
  "data": {
    "synonyms": [
      {
        "txt": "noun",
        "words": [
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/researcher",
            "text": "researcher",
            "length": 1,
            "complexity": 1,
            "id": 1
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/finder%20of%20fact",
            "text": "finder of fact",
            "length": 3,
            "complexity": 1,
            "id": 2
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/research%20worker",
            "text": "research worker",
            "length": 3,
            "complexity": 1,
            "id": 3
          },
          {
            "category": 1,
            "url": "http://www.thesaurus.com/browse/researchist",
            "text": "researchist",
            "length": 1,
            "complexity": 1,
            "id": 4
          }
        ],
        "ttl": "researcher of facts"
      }
    ]
  },
  "page_url": "http://www.thesaurus.com/list/f/1"
}
```

## TESTS

Accepted param `--verbose` or `-v` to get detailed output of data being tested.

    npm test -- --verbose
    # or
    npm run test
    # or
    node --max_old_space_size=4096 ./test.js -v
    # or
    ./test.js

Should say: `All tests passed!`

Please note some of the data files are so large that they had to be left out of the tests, in fact some of the data files will give you `FATAL ERROR` when you try to load them, in that case give node more memory when you run the script, `node --max_old_space_size=4096  test.js`, increase size as necessary.

## LICENSE

This is free and unencumbered software released into the public domain.

Anyone is free to copy, modify, publish, use, compile, sell, or
distribute this software, either in source code form or as a compiled
binary, for any purpose, commercial or non-commercial, and by any
means.

In jurisdictions that recognize copyright laws, the author or authors
of this software dedicate any and all copyright interest in the
software to the public domain. We make this dedication for the benefit
of the public at large and to the detriment of our heirs and
successors. We intend this dedication to be an overt act of
relinquishment in perpetuity of all present and future rights to this
software under copyright law.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
IN NO EVENT SHALL THE AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR
OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE,
ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

For more information, please refer to <http://unlicense.org>

    
